| Home | Libraries | People | FAQ | More

### basic_io_object

Base class for all I/O objects.

    template<
        typename IoObjectService>
    class basic_io_object :
      noncopyable

##### Types

Name | Description
--- | ---
implementation_type | The underlying implementation type of I/O object.
service_type | The type of the service that will be used to provide I/O operations.

##### Member Functions

Name | Description
--- | ---
get_io_service | Get the io_service associated with the object.
io_service | (Deprecated: use get_io_service().) Get the io_service associated with the object.

##### Protected Member Functions

Name | Description
--- | ---
basic_io_object | Construct a basic_io_object.
~basic_io_object | Protected destructor to prevent deletion through this type.

##### Protected Data Members

Name | Description
--- | ---
implementation | The underlying implementation of the I/O object.
service | The service associated with the I/O object.

##### Requirements

Header: `boost/asio/basic_io_object.hpp`

Convenience header: `boost/asio.hpp`